import ts from "typescript";
export interface UpdateParams {
    node: ts.ModuleBlock;
    statements: ts.Statement[];
}
export interface Factory {
    update: (params: UpdateParams) => ts.ModuleBlock;
}
export declare const update: ({ factory }: ts.TransformationContext) => Factory["update"];
export declare const make: (context: ts.TransformationContext) => Factory;
