import ts from "typescript";
export interface Params$Create {
    members: readonly ts.TypeElement[] | undefined;
}
export interface Factory {
    create: (params: Params$Create) => ts.TypeLiteralNode;
}
export declare const create: ({ factory }: ts.TransformationContext) => Factory["create"];
export declare const make: (context: ts.TransformationContext) => Factory;
