import ts from "typescript";
import * as ConverterContext from "./ConverterContext";
import { Store } from "./store";
import { CodeGeneratorParams } from "./types";
export declare type MakeApiClientFunction = (context: ts.TransformationContext, codeGeneratorParamsList: CodeGeneratorParams[]) => ts.Statement[];
export declare const generateApiClientCode: (store: Store.Type, context: ts.TransformationContext, converterContext: ConverterContext.Types, makeApiClient: MakeApiClientFunction) => void;
