export declare const parameterName: (operationId: string) => string;
export declare const requestBodyName: (operationId: string) => string;
export declare const argumentParamsTypeDeclaration: (operationId: string) => string;
export declare const responseName: (operationId: string, statusCode: string) => string;
export declare const requestContentType: (operationId: string) => string;
export declare const responseContentType: (operationId: string) => string;
export declare const isAvailableVariableName: (text: string) => boolean;
export declare const escapeText: (text: string) => string;
export declare const Components: {
    readonly Schemas: "Schemas";
    readonly Parameters: "Parameters";
    readonly Headers: "Headers";
    readonly SecuritySchemas: "SecuritySchemas";
    readonly PathItems: "PathItems";
    readonly RequestBodies: "RequestBodies";
    readonly Responses: "Responses";
};
export declare const ComponentChild: {
    Header: string;
    Content: string;
    Response: string;
};
