import ts from "typescript";
import { Factory } from "../../../CodeGenerator";
import * as ConverterContext from "../ConverterContext";
import { Store } from "../store";
import * as ToTypeNode from "../toTypeNode";
import { OpenApi } from "../types";
import * as Reference from "./Reference";
import * as Response from "./Response";
export declare const generateNamespace: (entryPoint: string, currentPoint: string, store: Store.Type, factory: Factory.Type, responses: Record<string, OpenApi.Response | OpenApi.Reference>, context: ToTypeNode.Context, converterContext: ConverterContext.Types) => void;
export declare const generateNamespaceWithStatusCode: (entryPoint: string, currentPoint: string, store: Store.Type, factory: Factory.Type, parentPath: string, responses: OpenApi.Responses, context: ToTypeNode.Context, converterContext: ConverterContext.Types) => void;
export declare const generateInterfacesWithStatusCode: (entryPoint: string, currentPoint: string, store: Store.Type, factory: Factory.Type, operationId: string, responses: OpenApi.Responses, context: ToTypeNode.Context, converterContext: ConverterContext.Types) => ts.Statement[];
