import * as TypeScriptCodeGenerator from "../../CodeGenerator";
import * as Generator from "./Generator";
import * as Name from "./Name";
import { CodeGeneratorParams, OpenApi, PickedParameter } from "./types";
export { OpenApi, Generator, CodeGeneratorParams, PickedParameter, Name };
export interface Type {
    generateLeadingComment: () => string;
    createFunction: TypeScriptCodeGenerator.CreateFunction;
}
export interface Option {
    makeApiClient: Generator.MakeApiClientFunction;
}
export declare const create: (entryPoint: string, rootSchema: OpenApi.Document, noReferenceOpenApiSchema: OpenApi.Document, option: Option) => Type;
