import ts from "typescript";
import { Factory } from "../../../CodeGenerator";
export interface Item {
    type: "string" | "variable";
    value: string;
    style?: string;
    explode: boolean;
}
export interface Params {
    variableName: string;
    object: {
        [key: string]: Item;
    };
}
export declare const create: (factory: Factory.Type, params: Params) => ts.VariableStatement;
