import ts from "typescript";
export interface Params$Create {
    statements: readonly ts.Statement[];
    multiLine: boolean;
}
export interface Factory {
    create: (params: Params$Create) => ts.Block;
}
export declare const create: ({ factory }: ts.TransformationContext) => Factory["create"];
export declare const make: (context: ts.TransformationContext) => Factory;
