import ts from "typescript";
export interface Params {
    value: string | boolean | number;
    comment?: string;
}
export interface Factory {
    create: (params: Params) => ts.LiteralTypeNode;
}
export declare const create: ({ factory }: ts.TransformationContext) => Factory["create"];
export declare const make: (context: ts.TransformationContext) => Factory;
