import ts from "typescript";
export interface Params {
    head: ts.TemplateHead;
    templateSpans: readonly ts.TemplateSpan[];
}
export interface Factory {
    create: (params: Params) => ts.TemplateExpression;
}
export declare const create: ({ factory }: ts.TransformationContext) => Factory["create"];
export declare const make: (context: ts.TransformationContext) => Factory;
