import { Factory } from "../../../CodeGenerator";
import * as ConverterContext from "../ConverterContext";
import { Store } from "../store";
import * as ToTypeNode from "../toTypeNode";
import { OpenApi } from "../types";
import * as Reference from "./Reference";
export declare const generateNamespace: (entryPoint: string, currentPoint: string, store: Store.Type, factory: Factory.Type, parameters: Record<string, OpenApi.Parameter | OpenApi.Reference>, context: ToTypeNode.Context, converterContext: ConverterContext.Types) => void;
export declare const generateNamespaceWithList: (entryPoint: string, currentPoint: string, store: Store.Type, factory: Factory.Type, parameters: (OpenApi.Parameter | OpenApi.Reference)[], context: ToTypeNode.Context, converterContext: ConverterContext.Types) => void;
