import { OpenApi } from "../types";
export interface Responses {
    [statusCode: string]: OpenApi.Response;
}
export interface State {
    [operationId: string]: {
        httpMethod: string;
        requestUri: string;
        comment: string | undefined;
        deprecated: boolean;
        requestBody?: OpenApi.RequestBody;
        parameters?: OpenApi.Parameter[];
        responses: Responses;
    };
}
export declare const create: (rootSchema: OpenApi.Document) => State;
