import ts from "typescript";
import { Factory } from "../../../CodeGenerator";
import { PickedParameter } from "../../../Converter/v3";
import * as Utils from "../../utils";
export declare const isPathParameter: (params: any) => params is Pick<import("../../../Converter/v3/types/OpenApiSchemaV3").Parameter, "name" | "in" | "required" | "style" | "explode">;
export declare const generateUrlTemplateExpression: (factory: Factory.Type, requestUri: string, pathParameters: PickedParameter[]) => Utils.Params$TemplateExpression;
export declare const create: (factory: Factory.Type, requestUri: string, pathParameters: PickedParameter[]) => ts.VariableStatement;
